## ros-humble-turtlebot3-manipulation 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(turtlebot3_manipulation)
find_package(ament_cmake REQUIRED)
ament_package()

=== debian/changelog ===
ros-humble-turtlebot3-manipulation (2.1.1-1bookworm) bookworm; urgency=high

  * Support ROS2 Humble
  * MoveIt environment configured
  * use ros2_control framework instead of ROBOTIS custom library
  * removed dependency to turtlebot3_*` and open_manipulator packages
  * Contributors: Hye-Jong KIM, Darby Lim, Will Son

 -- Will Son <willson@robotis.com>  Thu, 13 Oct 2022 16:00:00 -0000

ros-humble-turtlebot3-manipulation (1.1.0-1bookworm) bookworm; urgency=high

  * updated the CHANGELOG and version to release binary packages
  * added gazebo and moveit config
  * deleted world
  * updated to sync for new open_manipulator_package #7 <https://github.com/ROBOTIS-GIT/open_manipulator_with_tb3/issues/7>
  * updated inertia params
  * added params for ar_marker
  * added launch file to run demo
  * added gripper controller
  * added smach and smach_ros
  * added waffle model, ar marker argument, ar tracker, prefix
  * added joint control for platform
  * added filter
  * changed logerr to logwarn
  * changed joint trajectory variable
  * updated params releated to odom
  * added waffle model
  * added new moveit configuration
  * modified position_only_ik
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 07 Feb 2019 16:00:00 -0000

ros-humble-turtlebot3-manipulation (1.0.1-1bookworm) bookworm; urgency=high

  * added dependency package option
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 03 Jun 2018 16:00:00 -0000

ros-humble-turtlebot3-manipulation (1.0.0-1bookworm) bookworm; urgency=high

  * updated the CHANGELOG and version to release binary packages
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Thu, 31 May 2018 16:00:00 -0000

=== debian/control ===
Source: ros-humble-turtlebot3-manipulation
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), ros-humble-ament-cmake, ros-humble-ros-workspace
Homepage: https://emanual.robotis.com/docs/en/platform/turtlebot3/manipulation/
Standards-Version: 3.9.2

Package: ros-humble-turtlebot3-manipulation
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-humble-turtlebot3-manipulation-bringup, ros-humble-turtlebot3-manipulation-cartographer, ros-humble-turtlebot3-manipulation-description, ros-humble-turtlebot3-manipulation-hardware, ros-humble-turtlebot3-manipulation-moveit-config, ros-humble-turtlebot3-manipulation-navigation2, ros-humble-turtlebot3-manipulation-teleop, ros-humble-ros-workspace
Description: ROS 2 package for turtlebot3_manipulation

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/humble/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/humble" \
		-DAMENT_PREFIX_PATH="/opt/ros/humble" \
		-DCMAKE_PREFIX_PATH="/opt/ros/humble" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-humble-turtlebot3-manipulation//opt/ros/humble/lib/:$(CURDIR)/debian/ros-humble-turtlebot3-manipulation//opt/ros/humble/opt/turtlebot3_manipulation/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/humble/setup.sh" ]; then . "/opt/ros/humble/setup.sh"; fi && \
	dh_auto_install
